/**
 * 描述：周期季度列表
 */
shr.defineClass("shr.custom.ExpandAssessList", shr.framework.List, {
	/**
	 * 描述:初始化操作
	 * 
	 * @action
	 */
	initalizeDOM: function () {
		var _self = this;
		shr.custom.ExpandAssessList.superClass.initalizeDOM.call(this);

	},
	/**
	 * 上传计算规则附件
	 */
	uploadFilesAction(){
		this.reloadPage({
			uipk: "com.kingdee.eas.custom.expandassess.app.ComRule.form",
			billId: "",
			method: 'addNew'
		});
	},
	/**
	 * 修改周期名称
	*/
	updatePeriodAction: function () {
		var _self = this;
		var billId = this.getSelectedIds();
		if (billId != '' && billId != undefined) {
			this.reloadPage({
				uipk: this.getEditUIPK(),
				billId: billId,
				method: 'edit'
			});
		}
	},
	/**
 	* 查看
 	*/
	viewAction: function (billId, rowid) {
		// 编辑界面禁用，则直接返回
		if (this.editViewDisable) {
			return;
		}
		this.reloadPage({
			uipk: "com.custom.expandAssess.dynamicList",
			billId: billId,
		});
	},

	/**
	 * 获得快速查询和高级查询条件
	 */
	getQuickFilterItems: function () {
		var filter = $('#searcher').shrSearchBar('option', 'filterView');
		if (filter && filter.filterItems) {
			var filterItems = filter.filterItems;
			var pattern = /(\w+)\s+like\s+'%(.*?)%'/; // 匹配字段名和百分号内的内容
			var matchResult = filterItems.match(pattern);
			var columnName = matchResult ? matchResult[1] : null;
			var extractedData = matchResult ? matchResult[2] : null;
			if (columnName != null) {
				return filterItems = "(" + columnName + " = '" + extractedData + "')"
			}
		}
	},

});